List batches
GET
bearerAuthheader
AuthorizationBearer <token>An API key created in Capy under Settings → API.
automationId*stringlimit?stringMatch
^[+-]?\d*\.?\d+(?:[Ee][+-]?\d+)?$cursor?stringMatch
^\d{1,15}:[A-Za-z0-9_-]{1,191}$status?stringCollecting accepts events; queued has one automation run; cancelled retains scrubbed history without a run.
One of
"collecting""queued""cancelled"AutomationWebhookBatchPage
application/json- response
items*array<>cursor*|nullcurl -X GET 'https://api.capy.ai/api/v1/automations/string/batches'{ "items": [ { "id": "string", "automationId": "string", "triggerId": "string", "status": "collecting", "group": [ "string" ], "eventCount": 0, "byteCount": 0, "firstEventAt": "string", "lastEventAt": "string", "dispatchAfter": "string", "maxEvents": 0, "maxWaitSeconds": 0, "quietPeriodSeconds": 0, "closedAt": "string", "reason": "count", "runId": "string", "runStatus": "queued", "jamId": "string", "failure": "string" } ], "cursor": "string"}